{ dgn-lib, ... }:

let
  inherit (dgn-lib)
    enableModules
    mkImports
    recursiveFuse;

  # List of modules to enable
  enabledModules = [
  ];

  # List of services to enable
  enabledServices = [
    "metis"
    "plausible"
    # "wordpress"
  ];
in

recursiveFuse [
  (enableModules enabledModules)

  {
    imports = mkImports ./. enabledServices;
  }
]
